e = include("easing")

function main()
  current_sprite:say("`%Moving with easing test")
  current_sprite.custom["time"] = 0

  while current_sprite.custom["time"] < 2000 do
    current_sprite.x = math.floor(e.outInBounce(current_sprite.custom["time"], 494, 30, 1000) + 0.5)
    current_sprite.custom["time"] = current_sprite.custom["time"] + 10
    dink.wait(10)
  end

  -- reset
  main()
end
